package cn.iocoder.yudao.module.system.controller.admin.errorrecord;

import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.common.util.object.BeanUtils;
import cn.iocoder.yudao.module.system.controller.admin.errorrecord.vo.ErrorRecordPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.errorrecord.vo.ErrorRecordRespVO;
import cn.iocoder.yudao.module.system.dal.dataobject.errorrecord.ErrorRecordDO;
import cn.iocoder.yudao.module.system.service.errorrecord.ErrorRecordService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.validation.Valid;

import static cn.iocoder.yudao.framework.common.pojo.CommonResult.success;

@Tag(name = "管理后台 - 车辆异常记录")
@RestController
@RequestMapping("/system/error-record")
@Validated
public class ErrorRecordController {

    @Resource
    private ErrorRecordService errorRecordService;

    @GetMapping("/page")
    @Operation(summary = "获得车辆异常记录分页")
    @PreAuthorize("@ss.hasPermission('system:error-record:query')")
    public CommonResult<PageResult<ErrorRecordRespVO>> getErrorRecordPage(@Valid ErrorRecordPageReqVO pageReqVO) {
        PageResult<ErrorRecordDO> pageResult = errorRecordService.getErrorRecordPage(pageReqVO);
        return success(BeanUtils.toBean(pageResult, ErrorRecordRespVO.class));
    }
}
