package cn.iocoder.yudao.module.system.controller.admin.errorrecord.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 车辆异常记录 Response VO")
@Data
@ExcelIgnoreUnannotated
public class ErrorRecordRespVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "7461")
    @ExcelProperty("主键ID")
    private Long id;

    @Schema(description = "AGV编号")
    @ExcelProperty("AGV编号")
    private String robotNo;

    @Schema(description = "告警等级(1-4)")
    @ExcelProperty("告警等级(1-4)")
    private Integer level;

    @Schema(description = "异常Id")
    @ExcelProperty("异常Id")
    private String errCode;

    @Schema(description = "告警信息")
    @ExcelProperty("告警信息")
    private String errMsg;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}