package cn.iocoder.yudao.module.system.dal.dataobject.errorrecord;

import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 车辆异常记录 DO
 *
 * @author 芋道源码
 */
@TableName("robot_error_record")
@KeySequence("robot_error_record_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ErrorRecordDO extends BaseDO {

    /**
     * 主键ID
     */
    @TableId
    private Long id;
    /**
     * AGV编号
     */
    private String robotNo;
    /**
     * 告警等级(1-4)
     */
    private Integer level;
    /**
     * 异常Id
     */
    private String errCode;
    /**
     * 告警信息
     */
    private String errMsg;

}