package cn.iocoder.yudao.module.system.dal.mysql.errorrecord;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.system.controller.admin.errorrecord.vo.ErrorRecordPageReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.errorrecord.ErrorRecordDO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 车辆异常记录 Mapper
 *
 * @author 芋道源码
 */
@Mapper
public interface ErrorRecordMapper extends BaseMapperX<ErrorRecordDO> {

    default PageResult<ErrorRecordDO> selectPage(ErrorRecordPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<ErrorRecordDO>()
                .eqIfPresent(ErrorRecordDO::getRobotNo, reqVO.getRobotNo())
                .eqIfPresent(ErrorRecordDO::getLevel, reqVO.getLevel())
                .eqIfPresent(ErrorRecordDO::getErrCode, reqVO.getErrCode())
                .eqIfPresent(ErrorRecordDO::getErrMsg, reqVO.getErrMsg())
                .betweenIfPresent(ErrorRecordDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(ErrorRecordDO::getId));
    }

}
