package cn.iocoder.yudao.module.system.service.errorrecord;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.errorrecord.vo.ErrorRecordPageReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.errorrecord.ErrorRecordDO;
import cn.iocoder.yudao.module.system.dal.mysql.errorrecord.ErrorRecordMapper;
import org.springframework.stereotype.Service;
import org.springframework.validation.annotation.Validated;

import javax.annotation.Resource;

/**
 * 车辆异常记录 Service 实现类
 *
 * @author 芋道源码
 */
@Service
@Validated
public class ErrorRecordServiceImpl implements ErrorRecordService {

    @Resource
    private ErrorRecordMapper errorRecordMapper;


    @Override
    public void save(ErrorRecordDO errorRecordDO) {
        errorRecordMapper.insert(errorRecordDO);
    }

    @Override
    public PageResult<ErrorRecordDO> getErrorRecordPage(ErrorRecordPageReqVO pageReqVO) {
        return errorRecordMapper.selectPage(pageReqVO);
    }
}
